Subject: Re: [Capwap] Tentative agenda.

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Fri, 7 Jul 2006 12:07:13 -0700

Please note that the second numbering changes were a request from the WG
to make the document easier to read. It was discussed at the previous
IETF meeting, and on the list. There was an explicit issue to track this
change.

See you next week.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: David T. Perkins [mailto:[email-masked]] 
> Sent: Friday, July 07, 2006 11:37 AM
> To: Pat Calhoun (pacalhou)
> Cc: Mani, Mahalingam (Mani); [email-masked]
> Subject: RE: [Capwap] Tentative agenda.
> 
> HI Pat,
> 
> Please don't read into my comments that there was not a 
> process for taking comments. There is one, which is good. The 
> comment was that I found it difficult to verify the actual 
> changes in the CAPWAP-02 draft due to what appeared to me to 
> be a section number change that appeared to me to be avoidable.
> Because of the cost, I abandoned verification. I did notice 
> that the one that I had submitted on the cipher suites was 
> not applied correctly. And I also VERY MUCH disagreed with 
> the recomendation for the common name on the CERT that is in 
> the text. If we have the usage sceanrios, I think the 
> rational well be better understood. 
> 
> See you sunday or monday!
> 
> Regards,
> /david t. perkins
> 
> On Fri, 7 Jul 2006, Pat Calhoun (pacalhou) wrote:
> > Just to be clear, David, each and every change made to the -02 
> > document had proposed text that was sent to the list for 
> comments. The 
> > comments which had broad agreement were folded back into 
> the spec. So 
> > it's not fair to say that we are operating purely in a 
> vaccuum here. 
> > That said, we will make sure that the announce e-mail for 
> -03 has more 
> > meat, but the actual text will still be found in individual e-mails 
> > sent by the editors.
> > 
> > Pat Calhoun
> > CTO, Wireless Networking Business Unit Cisco Systems
> > 
> >  
> > 
> > > -----Original Message-----
> > > From: David T. Perkins [mailto:[email-masked]]
> > > Sent: Friday, July 07, 2006 10:19 AM
> > > To: Mani, Mahalingam (Mani)
> > > Cc: [email-masked]
> > > Subject: Re: [Capwap] Tentative agenda.
> > > 
> > > HI,
> > > 
> > > The agenda currently reads:
> > > 1) WG status ? 10 min (chairs)
> > >    a) Protocol draft
> > >    b) Milestones
> > >    c) multi-area input-call for ?MUX vs Dual-port?
> > >    d) 3rd WG Chair
> > > 2) IEEE Liaison Update - Dorothy Stanley (5 min.)
> > > 3) Editors review and Issues:  encryption at WTP/AC,  802.11
> > >    binding,  handover and more (45 min)
> > > 4) MIB updates - Dave Perkins (15 min.)
> > > 5) Security Draft: Scott Kelly (15 min).
> > > 6) Security overview of -02 draft (Charles Clancy,
> > >     Scott Kelly) ? 5-10 min
> > > 
> > > Let's talk about #3. The CAPWAP-02 draft came out. The 
> announcement 
> > > said that it addressed 42 items from the issue tracker. 
> However, no 
> > > summary of changes was made available.
> > > Using the IETF tool to show document differences, there 
> were quite a 
> > > bit of changes. However, many were "false positives"
> > > due to changes in the section numbers. The section number changes 
> > > also made checking the comments in the issue tracker painfull. I 
> > > started to verify each issue, but gave up because of the time it 
> > > took. It would be very helpful if a summary of all the 42 changes 
> > > was sent to the WG mailing list. Going through the list at the WG 
> > > meeting could take much time that could be used on other items.
> > > 
> > > Let's talk about #4. The co-chair, Dorothy Gellert, sent me email 
> > > and asked to push back the MIB draft to october. I 
> agreed, since I 
> > > don't believe the CAPWAP specification is solid enough 
> for the MIB 
> > > work to start.
> > > 
> > > Let's talk about #5. I'm not sure what this is.
> > > Let's talk about #6. This should be sent out on the WG 
> mailing list. 
> > > Note, there has already been discussion. The
> > > CAPWAP-02 has updates. I believe that there are still problems. 
> > > There are technical problems that didn't get fixed in the 
> CAPWAP-02.
> > > And there are problems that are due to the lack of 
> written out use 
> > > cases.
> > > 
> > > So, I suggest that "reports" be sent out to the WG to 
> cover #3, #5, 
> > > and #6.
> > > 
> > > A new agenda can be constructed based on the one that I suggested 
> > > below. For each point, it would be useful to create a 
> list of pros 
> > > and cons. No decision, of course, can be made at the WG session 
> > > during the IETF meeting. However, I believe that the WG session 
> > > should be used to capture
> > >  a) the assumptions (and there are plenty in
> > >      the CAPWAP spec) that are not written down
> > >  b) the pros
> > >  c) the cons
> > > 
> > > That would be the best use of the experience and 
> knowledge at the WG 
> > > session.
> > > 
> > > There is no need for the BS and politics that I've seen at past 
> > > sessions.
> > > 
> > > Regards,
> > > /david t. perkins
> > > 
> > > > David,
> > > > 
> > > > [I meant to send this earlier - but it happened to get 
> stuck in my 
> > > > draft folder].
> > > > 
> > > > I guess you meant IEEE reports. I have requested this 
> time for the 
> > > > report to not be "happenings" but ones that have potential 
> > > > implications, if any, to CAPWAP protocol development.
> > > > 
> > > > We request the editors to take note of "contentious issues" 
> > > list below
> > > > among the issues they will be discussing.
> > > > 
> > > > As to the disbandment discussion - to justify a brief session 
> > > > discussion meaningful; can I request you start the thread
> > > in the list
> > > > and gauge the response to that idea? We can decide on that
> > > as a agenda
> > > > topic if there appears to be enough justification.
> > > > 
> > > > Regards,
> > > > -mani
> > > > -----Original Message-----
> > > > From: David T. Perkins [mailto:[email-masked]]
> > > > Sent: Tuesday, July 04, 2006 11:41 PM
> > > > To: Mani, Mahalingam (Mani)
> > > > Cc: [email-masked]; Romascanu, Dan (Dan)
> > > > Subject: Re: [Capwap] Tentative agenda.
> > > > 
> > > > HI,
> > > > 
> > > > I believe the current agenda is inappropriate.
> > > > 
> > > > There is no need to provide reports at IETF WG meetings.
> > > > Such reports should be just sent to the WG mailing list.
> > > > 
> > > > The WG meeting should be only used to try to gain common 
> > > > understanding, and then resolution of contentious 
> issues from the 
> > > > mailing list.
> > > > 
> > > > What are the contentious issues?
> > > > 1) Using the same DTLS session for both data and control
> > > >     trafffic
> > > > 2) The format of CAPWAP control messages
> > > > 3) THe format of CAPWAP data messages
> > > > 4) The CAPWAP state machine
> > > > 5) The details of CAPWAP message fragmentation
> > > > 6) The details of retries of CAPWAP control messages
> > > > 7) Details for image transfer
> > > > 6) Details for discovery, and then join, then WTP capability
> > > >      and initial WTP configuration etc.
> > > > 
> > > > And esspecially, whether or not the CAPWAP WP should be
> > > disbanded, or
> > > > continued? Why disbanned? Because there does not appear to
> > > be enough
> > > > interest in creating a specification that will have code
> > > written that
> > > > supports it, and have interoperability testing performed on it.
> > > > 
> > > > Regards,
> > > > /david t. perkins
> > > > 
> > > > On Tue, 4 Jul 2006, Mani, Mahalingam (Mani) wrote:
> > > > > Hi,
> > > > > 
> > > > > A tentative (but almost final) agenda has been posted 
> for IETF66: 
> > > > > 
> > > > > http://www3.ietf.org/proceedings/06jul/agenda/capwap.htm
> > > > > 
> > > > > Any other agenda suggestions welcome as well and we 
> will try to 
> > > > > accommodate.
> > > > > 
> > > > > So far Dorothy Stanley's (IEEE802.11 liaison)
> > > presentation has been
> > > > > received and posted. We hope to receive the others' before the
> > > > sessions.
> > > > > 
> > > > > -Chairs
> > > > > 
> > > > > 
> ________________________________________________________________
> > > > > _ To unsubscribe or modify your subscription options, please 
> > > > > visit:
> > > > > http://lists.frascone.com/mailman/listinfo/capwap
> > > > > 
> > > > > Archives: http://lists.frascone.com/pipermail/capwap
> > > > > 
> > > > 
> > > > 
> > > > 
> > > > 
> > > 
> > > _________________________________________________________________
> > > To unsubscribe or modify your subscription options, please visit:
> > > http://lists.frascone.com/mailman/listinfo/capwap
> > > 
> > > Archives: http://lists.frascone.com/pipermail/capwap
> > > 
> > 
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap